## GoaTicketing GoaTicketing — Generated C code for the org.gnome.OnlineAccounts.Ticketing D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_ticketing_interface_info ()
guint | goa_ticketing_override_properties ()
void | goa_ticketing_call_get_ticket ()
gboolean | goa_ticketing_call_get_ticket_finish ()
gboolean | goa_ticketing_call_get_ticket_sync ()
void | goa_ticketing_complete_get_ticket ()
void | goa_ticketing_proxy_new ()
GoaTicketing * | goa_ticketing_proxy_new_finish ()
GoaTicketing * | goa_ticketing_proxy_new_sync ()
void | goa_ticketing_proxy_new_for_bus ()
GoaTicketing * | goa_ticketing_proxy_new_for_bus_finish ()
GoaTicketing * | goa_ticketing_proxy_new_for_bus_sync ()
GoaTicketing * | goa_ticketing_skeleton_new ()

## Properties

GVariant * | details | Read / Write

## Signals

gboolean | handle-get-ticket | Run Last

## Types and Values

| GoaTicketing
struct | GoaTicketingIface
struct | GoaTicketingProxy
struct | GoaTicketingProxyClass
struct | GoaTicketingSkeleton
struct | GoaTicketingSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaTicketing
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaTicketingSkeleton
        ╰── GDBusProxy
            ╰── GoaTicketingProxy

## Prerequisites

GoaTicketing requires GObject.

## Implemented Interfaces

GoaTicketingProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaTicketing.

GoaTicketingSkeleton implements GDBusInterface and GoaTicketing.

## Known Implementations

GoaTicketing is implemented by GoaTicketingProxy and GoaTicketingSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Ticketing D-Bus interface in C.

## Functions

### goa_ticketing_interface_info ()

    GDBusInterfaceInfo *
    goa_ticketing_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.Ticketing D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.6.0

### goa_ticketing_override_properties ()

    guint
    goa_ticketing_override_properties (GObjectClass *klass,
                                       guint property_id_begin);

Overrides all GObject properties in the GoaTicketing interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.6.0

### goa_ticketing_call_get_ticket ()

    void
    goa_ticketing_call_get_ticket (GoaTicketing *proxy,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously invokes the `GetTicket()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_ticketing_call_get_ticket_finish()` to get the result of the operation.

See `goa_ticketing_call_get_ticket_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A GoaTicketingProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 3.6.0

### goa_ticketing_call_get_ticket_finish ()

    gboolean
    goa_ticketing_call_get_ticket_finish (GoaTicketing *proxy,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `goa_ticketing_call_get_ticket()`.

#### Parameters

proxy | A GoaTicketingProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_ticketing_call_get_ticket()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.6.0

### goa_ticketing_call_get_ticket_sync ()

    gboolean
    goa_ticketing_call_get_ticket_sync (GoaTicketing *proxy,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously invokes the `GetTicket()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `goa_ticketing_call_get_ticket()` for the asynchronous version of this method.

#### Parameters

proxy | A GoaTicketingProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 3.6.0

### goa_ticketing_complete_get_ticket ()

    void
    goa_ticketing_complete_get_ticket (GoaTicketing *object,
                                       GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `GetTicket()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A GoaTicketing. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 3.6.0

### goa_ticketing_proxy_new ()

    void
    goa_ticketing_proxy_new (GDBusConnection *connection,
                             GDBusProxyFlags flags,
                             const gchar *name,
                             const gchar *object_path,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Ticketing. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_ticketing_proxy_new_finish()` to get the result of the operation.

See `goa_ticketing_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.6.0

### goa_ticketing_proxy_new_finish ()

    GoaTicketing *
    goa_ticketing_proxy_new_finish (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `goa_ticketing_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_ticketing_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaTicketingProxy]

Since: 3.6.0

### goa_ticketing_proxy_new_sync ()

    GoaTicketing *
    goa_ticketing_proxy_new_sync (GDBusConnection *connection,
                                  GDBusProxyFlags flags,
                                  const gchar *name,
                                  const gchar *object_path,
                                  GCancellable *cancellable,
                                  GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Ticketing. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_ticketing_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaTicketingProxy]

Since: 3.6.0

### goa_ticketing_proxy_new_for_bus ()

    void
    goa_ticketing_proxy_new_for_bus (GBusType bus_type,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Like `goa_ticketing_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_ticketing_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_ticketing_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.6.0

### goa_ticketing_proxy_new_for_bus_finish ()

    GoaTicketing *
    goa_ticketing_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `goa_ticketing_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_ticketing_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaTicketingProxy]

Since: 3.6.0

### goa_ticketing_proxy_new_for_bus_sync ()

    GoaTicketing *
    goa_ticketing_proxy_new_for_bus_sync (GBusType bus_type,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GError **error);

Like `goa_ticketing_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_ticketing_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaTicketingProxy]

Since: 3.6.0

### goa_ticketing_skeleton_new ()

    GoaTicketing *
    goa_ticketing_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.Ticketing.

#### Returns

The skeleton object.

[transfer full][type GoaTicketingSkeleton]

Since: 3.6.0

## Types and Values

### GoaTicketing

    typedef struct _GoaTicketing GoaTicketing;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Ticketing.

Since: 3.6.0

### struct GoaTicketingIface

    struct GoaTicketingIface {
      GTypeInterface parent_iface;

      gboolean (*handle_get_ticket) (
        GoaTicketing *object,
        GDBusMethodInvocation *invocation);

      GVariant * (*get_details) (GoaTicketing *object);
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Ticketing.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_get_ticket` () | Handler for the “handle-get-ticket” signal. |
`get_details` () | Getter for the “details” property. |

Since: 3.6.0

### struct GoaTicketingProxy

    struct GoaTicketingProxy;

The GoaTicketingProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.6.0

### struct GoaTicketingProxyClass

    struct GoaTicketingProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaTicketingProxy.

#### Members

Since: 3.6.0

### struct GoaTicketingSkeleton

    struct GoaTicketingSkeleton;

The GoaTicketingSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.6.0

### struct GoaTicketingSkeletonClass

    struct GoaTicketingSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaTicketingSkeleton.

#### Members

Since: 3.6.0

## Property Details

### The `“details”` property

      “details”                  GVariant *

Represents the D-Bus property "Details".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Allowed values: GVariant<a{ss}>

Default value: NULL

Since: 3.18

## Signal Details

### The `“handle-get-ticket”` signal

    gboolean
    user_function (GoaTicketing          *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `GetTicket()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `goa_ticketing_complete_get_ticket()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A GoaTicketing. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 3.6.0